/* Styles for basic forms
-----------------------------------------------------------*/

div.bordered_box
{
	text-shadow: none;
	box-shadow: 0 0 1px #bfbfbf;
	border-radius: 3px 3px;
	padding: 10px;
	background-color: White;
	color: #2b2c2c;
}

fieldset
{
	display: inline;
	width: 950px;
}

textarea
{
	min-height: 150px;
}

.editor-table
{
	width: 945px;
}

.editor_property-section-wrapper
{
	width: 945px;
	display: table;
}

.editor-property-section, .editor-property-section-halfwidth
{
	margin-top: 10px;
}

.editor-property-section-halfwidth
{
	display: table-row;
	float: left;
	width: 470px;
}

.editor-property-section h2, .editor-property-section h3, .editor-property-section-halfwidth h2, .editor-property-section-halfwidth h3
{
	background-color: #1b333f;
	color: #fff;
	padding: 1px 0 1px 1px;
	width: 100%;
	height: 20px;
}

.editor-property-block
{
	width: 100%;
}

.editor-property-block-halfwidth
{
	width: 47%;
	float: left;
}

.editor-property-block-halfwidth, .editor-property-block
{
	display: table;
}

.editor-property-subblock
{
	padding-bottom: 5px;
}

.editor-property-row, .editor-property-row-halfwidth
{
	display: table-row;
}

.editor-property-row-halfwidth
{
	width: 48%;
}

.editor-label
{
	vertical-align: middle;
	display: table-cell;
}

.editor-label-fullwidth
{
	clear: both;
	width: 900px;
	display: table-cell;
}

.editor-label-left
{
	float: left;
	width: 200px;
	vertical-align: middle;
	display: table-cell;
	padding: 2px 0 2px 0;
}

.editor-field
{
	display: table-cell;
	vertical-align: middle;
}

.editor-field > input
{
	padding: 2px 0 2px 0;
	margin: 0px;
}

.editor-field-halfwidth > input, .editor-field-fullwidth > input
{
	clear: both;
	padding: 2px 0 2px 0;
	margin: 0px;
}

.editor-field-fullwidth > input
{
	width: 100%;
}

.editor-field-30 > input
{
	width: 30px;
	vertical-align: middle;
	height: 20px;
	line-height: 20px;
}

.editor-field-halfwidth > input
{
	width: 50%;
	vertical-align: middle;
	height: 20px;
	line-height: 20px;
}

.editor-field-left
{
	float: left;
	display: table-cell;
}


/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error
{
	color: #ff0000;
}

.field-validation-valid
{
	display: none;
}

.input-validation-error
{
	border: 1px solid #ff0000;
	background-color: #ffeeee;
}

.validation-summary-errors
{
	font-weight: bold;
	color: #ff0000;
}

.validation-summary-valid
{
	display: none;
}


/* Misc styles
-----------------------------------------------------------*/

img:-moz-broken
{
	-moz-force-broken-image-icon: 1;
}

.left
{
	float: left;
}

.right_aligned
{
	text-align: right;
}

.pagetree
{
	width: 230px;
	border: 1px solid #ddd;
	padding: 1.4em 1.4em 1.4em 1.4em;
}

input[type="image"], img.button
{
	width: 0;
	height: 0;
	padding: 8px;
	margin-left: 10px;
	vertical-align: middle;
}

input.acceptbutton
{
	background: url(./Images/icons/icon_shop_speichern_b.png) no-repeat 2px;
}

input.acceptbutton:hover
{
	background: url(./Images/icons/icon_shop_speichern_g.png) no-repeat 2px;
}

input.cancelbutton
{
	background: url(./Images/icons/icon_shop_loeschen_b.png) no-repeat 2px;
}

input.cancelbutton:hover
{
	background: url(./Images/icons/icon_shop_loeschen_g.png) no-repeat 2px;
}

input[type="image"].expand, img.expand
{
	background: url("./Images/icons/icon_shop_expand.png") no-repeat scroll 0 -16px transparent;
}

input[type="image"].expand:hover, img.expand:hover
{
	background: url("./Images/icons/icon_shop_expand.png") no-repeat scroll 0 0 transparent;
}

input[type="image"].collapse, img.collapse
{
	background: url("./Images/icons/icon_shop_collapse.png") no-repeat scroll 0 -16px transparent;
}

input[type="image"].collapse:hover, img.collapse:hover
{
	background: url("./Images/icons/icon_shop_collapse.png") no-repeat scroll 0 0 transparent;
}

input.acceptbutton, input.cancel
{
	margin: 5px;
	text-align: right;
	background-color: White;
	padding-left: 22px;
	height: 30px;
	line-height: 24px;
	font-size: 18px;
	vertical-align: middle;
	border: 1px solid #aaaaaa;
}

input.acceptbutton:hover, input.cancelbutton:hover
{
	background-color: #eeeeee;
}

.successMessage
{
	color: Green !important;
	font-weight: bold;
	font-size: 16px;
}

.errorMessage
{
	color: Red !important;
	font-weight: bold;
	font-size: 16px;
}

/* FlexiGrid-related styles
-----------------------------------------------------------*/

.flexigrid .flexiGridCreateBtn
{
	background: url(images/icons/icon_shop_addto_b.png) no-repeat left;
	padding-left: 16px;
	height: 16px;
	line-height: 16px;
}

.flexigrid .flexiGridCreateBtn:hover
{
	background: url(images/icons/icon_shop_addto_g.png) no-repeat left;
}

.flexigrid .flexiGridEditBtn
{
	background: url(images/icons/icon_shop_bearbeiten_b.png) no-repeat left;
	padding-left: 16px;
	height: 16px;
	line-height: 16px;
}

.flexigrid .flexiGridEditBtn:hover
{
	background: url(images/icons/icon_shop_bearbeiten_g.png) no-repeat left;
}

.flexigrid .flexiGridDeleteBtn, .flexiGridUnlinkBtn
{
	background: url(images/icons/icon_shop_loeschen_b.png) no-repeat left;
	padding-left: 16px;
	height: 16px;
	line-height: 16px;
}

.flexigrid .flexiGridDeleteBtn:hover, .flexiGridUnlinkBtn:hover
{
	background: url(images/icons/icon_shop_loeschen_g.png) no-repeat left;
}

/* jsTree-related styles
-----------------------------------------------------------*/

.jsTreeContextMenuItem
{
	width: 200px;
}

/* jQueryUI-related styles
-----------------------------------------------------------*/

.ui-dialog 
{
	z-index: 20000 !important;
}

.ui-tabs-panel
{
	padding-left: 0.5em !important;
}


/* Button panel-related styles
-----------------------------------------------------------*/

div.button_panel
{
	padding-top: 5px;
	background-color: transparent;
	position: relative;
	z-index: 1000 !important;
	margin-left: 0px;
}

div.button_panel.fixed
{
	background-color: White;
	position: fixed;
	padding: 3px;
	z-index: 10000 !important;
	bottom: 0px;
	width: 960px;
	box-shadow: 0 -5px 5px #e0e0e0;
}

